import { jsx } from "react/jsx-runtime";
import { TokenSAI as TokenSAI$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenSAI = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "SAI", "data-name": "TokenSAI", ...props, children: /* @__PURE__ */ jsx(TokenSAI$1, { variant }) });
  }
);
TokenSAI.displayName = "TokenSAI";
Object.assign(TokenSAI, { isGdsIcon: true });
export {
  TokenSAI
};
